Package com.google.javascript.rhino.jstype

# Interface StaticSymbolTable<S extends StaticSlot<JSType>,R extends StaticReference<JSType>>

All Known Implementing Classes:
  `Scope`, `SymbolTable`

public interface StaticSymbolTable<S extends StaticSlot<JSType>,R extends StaticReference<JSType>>
Lookup references by the symbols that they refer to.

## Method Summary

Modifier and Type
Method
Description
`Iterable<S>`
`getAllSymbols()`
Returns all variables in this symbol table.
`Iterable<R>`
`getReferences(S symbol)`
Returns the references that point to the given symbol.
`StaticScope<JSType>`
`getScope(S symbol)`
Returns the scope for a given symbol.

## Method Details

### getReferences

Iterable<R> getReferences(S symbol)
Returns the references that point to the given symbol.

### getScope

StaticScope<JSType> getScope(S symbol)
Returns the scope for a given symbol.

### getAllSymbols

Iterable<S> getAllSymbols()
Returns all variables in this symbol table.